package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Jabatan;
import com.jasamedika.medifirst2000.entities.Pegawai;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class Agama
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "RekananSkKontrakDetail_T")
public class RekananSkKontrakDetailVO extends BaseTransactionVO {
	
	private RekananSkKontrakVO rekananSkKontrak;
	
	private Double qtyProduk;
	
	private String detailPekerjaan;
	
	private SatuanStandarVO satuanStandar;
	
	private String keteranganLainnya;
	
	private PegawaiVO pegawaiRekanan;
	
	private JabatanVO jabatanPegawaiRekanan;
	
	private Double nilaiKontrak;
	
	private Date tanggalAwalKontrak;
	
	private Date tanggalAhirKontrak;
	
	private String selisihKontrak;

	public RekananSkKontrakVO getRekananSkKontrak() {
		return rekananSkKontrak;
	}

	public void setRekananSkKontrak(RekananSkKontrakVO rekananSkKontrak) {
		this.rekananSkKontrak = rekananSkKontrak;
	}

	public Double getQtyProduk() {
		return qtyProduk;
	}

	public void setQtyProduk(Double qtyProduk) {
		this.qtyProduk = qtyProduk;
	}

	public String getDetailPekerjaan() {
		return detailPekerjaan;
	}

	public void setDetailPekerjaan(String detailPekerjaan) {
		this.detailPekerjaan = detailPekerjaan;
	}

	public SatuanStandarVO getSatuanStandar() {
		return satuanStandar;
	}

	public void setSatuanStandar(SatuanStandarVO satuanStandar) {
		this.satuanStandar = satuanStandar;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

	public PegawaiVO getPegawaiRekanan() {
		return pegawaiRekanan;
	}

	public void setPegawaiRekanan(PegawaiVO pegawaiRekanan) {
		this.pegawaiRekanan = pegawaiRekanan;
	}

	public JabatanVO getJabatanPegawaiRekanan() {
		return jabatanPegawaiRekanan;
	}

	public void setJabatanPegawaiRekanan(JabatanVO jabatanPegawaiRekanan) {
		this.jabatanPegawaiRekanan = jabatanPegawaiRekanan;
	}

	public Double getNilaiKontrak() {
		return nilaiKontrak;
	}

	public void setNilaiKontrak(Double nilaiKontrak) {
		this.nilaiKontrak = nilaiKontrak;
	}

	public Date getTanggalAwalKontrak() {
		return tanggalAwalKontrak;
	}

	public void setTanggalAwalKontrak(Date tanggalAwalKontrak) {
		this.tanggalAwalKontrak = tanggalAwalKontrak;
	}

	public Date getTanggalAhirKontrak() {
		return tanggalAhirKontrak;
	}

	public void setTanggalAhirKontrak(Date tanggalAhirKontrak) {
		this.tanggalAhirKontrak = tanggalAhirKontrak;
	}

	public String getSelisihKontrak() {
		return selisihKontrak;
	}

	public void setSelisihKontrak(String selisihKontrak) {
		this.selisihKontrak = selisihKontrak;
	}
	

	

	
}